.\" Man page generated from reStructuredText.
.
.TH "CWB_MERGE" "1" "Nov 25, 2022" "cWB-6.4.2" "coherent WaveBurst"
.SH NAME
cwb_merge \- cWB Documentation
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.nf

.fi
.sp
.nf

\fBUsage\fP

This command merges all the ROOT output files for each job in a single
ROOT file. It is possible to merge the files even if the all analysis is
not finished. In this case it is useful to save the ROOT files with
different names, like with a progressive number.

\fBSyntax\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
\fBcwb_merge label/list options[optional]\fP
.UNINDENT
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
action
.UNINDENT
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
label MX (where X must be a positive number and gives the progressive merged files)
M0 (checks what is the last progressive number and create the file with the following one)
.IP \(bu 2
list list the labels of the already merged files
.IP \(bu 2
options \(aq\fB\-\-nthreads\fP #N \fB\-\-rms\fP true/false \fB\-\-var\fP true/false \fB\-\-psm\fP true/false\(aq
.INDENT 2.0
.IP \(bu 2
\fB\-\-nthreads\fP integer[0:8] : optional : default=0 : greater
than 1 \-> use nthreads threads (faster)
.IP \(bu 2
\fB\-\-rms\fP false/true : optional : default=false : true \-> save
rms
.IP \(bu 2
\fB\-\-var\fP false/true : optional : default=false : true \-> save
variability
.IP \(bu 2
\fB\-\-psm\fP false/true : optional : default=false : true \-> save
skymap probability
.IP \(bu 2
\fB\-\-idir\fP input directory where are the files to be merged
(default = output)
.IP \(bu 2
\fB\-\-utag\fP user tag : added after *.Mx \-> *.Mx.U_utag
(default is *.Mx)
.UNINDENT
.UNINDENT
.sp
The script produce 3 files under merge directory
.INDENT 0.0
.IP \(bu 2
merge_*.lst: a list of the files from output directory
.IP \(bu 2
live_*.root/mdc_*.root: live time/mdc information
.IP \(bu 2
wave_*.root: event information
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.sp
\fBNOTE:\fP
.INDENT 0.0
.INDENT 3.5
skymap has in general a big size, do not enable it if not necessary
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.nf

\fBExamples\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
* cwb_merge M1
  it produces the files :
     \- merge/live_data_label.M1.root
     \- merge/merge_data_label.M1.lst
     \- merge/wave_data_label.M1.root

* cwb_merge list
  it produces the output :

   \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-
   List of merge labels
   \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-

   \- M1

* cwb_merge M1 \(aq\-\-nthreads 4\(aq
  produce merge using 4 threads
.ft P
.fi
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.SH AUTHOR
Gabriele Vedovato
.SH COPYRIGHT
2018, cWB Team
.\" Generated by docutils manpage writer.
.
